# File: peri3.py
# Compute the perimeter of a triangle; user enters the points defining it
# WARNING: input is not error checked (see peri-c.py for how to do it right)
#
# Matt Bishop, MHI 289I, Fall 2019
#
import math             # load up the math functions

#
# compute the distance between two points (x1, y1) and (x2, y2)
#
def dist(x1, y1, x2, y2):
    temp = (x1 - x2) ** 2 + (y1 - y2) ** 2
    return math.sqrt(temp)

#
# compute the perimeter of the triangle defined by (x1, y1), (x2, y2), (x3, y3)
#
def compperi(x1, y1, x2, y2, x3, y3):
    d1 = dist(x1, y1, x2, y2)
    d2 = dist(x1, y1, x3, y3)
    d3 = dist(x2, y2, x3, y3)
    return d1 + d2 + d3

#
# construct the prompts
#
def prompt(xory, which):
    s = "Please enter the " + xory + " coordinate of the " + which + " point: "
    return s

#
################ MAIN PROGRAM
#

#
# read in the co-ordinates
#
iax = float(input(prompt("x", "first")))
iay = float(input(prompt("y", "first")))
ibx = float(input(prompt("x", "second")))
iby = float(input(prompt("y", "second")))
icx = float(input(prompt("x", "third")))
icy = float(input(prompt("y", "third")))

#
# print the corresponding triangle's perimeter
#
#d1 = dist(iax, iay, ibx, iby)
#d2 = dist(iax, iay, icx, icy)
#d3 = dist(ibx, iby, icx, icy)
#temp = d1 + d2 + d3
temp = compperi(iax, iay, ibx, iby, icx, icy)
print("The perimeter is", temp)
